#!/usr/bin/env python

import pygplot as pg
num = pg.Numeric

palettes = pg.colormaps.colormaps.keys()
num_palettes = len(palettes)
transfers = pg.colormaps.transfers.keys()
num_transfers = len(transfers)

z = num.arange(1000)
z.shape = (1,len(z))

i = int(num.sqrt(num_palettes))
j = num_palettes/i
if (num_palettes % j) != 0:
   j = j + 1

mplot = pg.MPlot(i,j)

for pal in palettes:
   plot = pg.Plot(title=pal, fsize=2, yrange=[0.5,1])
   plot.image(z, palette=pal)
   mplot.add(plot)

mplot.plot()
mplot.close()

i = int(num.sqrt(num_transfers))
j = num_transfers/i
if (num_transfers % j) != 0:
   j = j + 1

mplot = pg.MPlot(i,j)

for tr in transfers:
   plot = pg.Plot(title=tr, fsize=2, yrange=[0.5,1])
   plot.image(z, palette='real', transfer=tr)
   mplot.add(plot)

mplot.plot()
mplot.close()



